<template>
  <div class="relative w-full">
    <svg class="absolute w-5 h-5 top-4 left-4" :xmlns="link" :viewBox="view">
      <path :d="path" />
      <path :d="pathAdd" />
    </svg>
    <input
      :maxlength="maximal"
      :value="modelValue"
      :name="name"
      :type="inputtype"
      :class="classes"
      @input="$emit('update:modelValue', $event.target.value)"
    />

    <label for="username" :class="classeslabel">{{ label }}</label>
  </div>
</template>

<script>
export default {
  name: "ReaderInput",
  emits: ["update:modelValue"],
  props: {
    label: {
      type: String,
      default: "",
    },
    modelValue: {
      type: [String, Number],
      default: "",
    },
    link: {
      type: String,
      default: "",
    },
    view: {
      type: String,
      default: "",
    },
    path: {
      type: String,
      default: "",
    },
    pathAdd: {
      type: String,
      default: "",
    },
    maximal: {
      type: String,
      default: "",
    },
    name: {
      type: String,
      default: "",
    },
    inputtype: {
      type: String,
      default: "",
    },
    classes: {
      type: String,
      default: "",
    },
    classeslabel: {
      type: String,
      default: "",
    },
  },
};
</script>
